Subject: bug#52667: System reconfiguration fails to build linux-modules.drv

From: "Julien L." <[email-masked]>
Date: Tue, 28 Dec 2021 23:26:08 +0100

Dear Guix team,

I am using linux-libre in version 4.19. In this version there are no 
modules named framebuffer_coreboot and simplefb.

So system reconfiguration complains about framebuffer_corebook being not 
found.

I of course applied the workaround (specifying initrd-modules with 
%base-initrd-modules minus framebuffer_coreboot and simplefb) but this 
is not really nice.

I also understand the constraints.

Would it be a valid solution that linux-modules.scm discards modules 
which are not found (instead of returning an error and stopping)?

Thanks,

-- 
Julien L.